import request from '@/utils/request'

// 查询产品工序列表
export function listProdProcess(query) {
  return request({
    url: '/bst/prodProcess/list',
    method: 'get',
    params: query
  })
}

// 查询产品工序详细
export function getProdProcess(id) {
  return request({
    url: '/bst/prodProcess/' + id,
    method: 'get'
  })
}

// 新增产品工序
export function addProdProcess(data) {
  return request({
    url: '/bst/prodProcess',
    method: 'post',
    data: data
  })
}

// 修改产品工序
export function updateProdProcess(data) {
  return request({
    url: '/bst/prodProcess',
    method: 'put',
    data: data
  })
}

// 删除产品工序
export function delProdProcess(id) {
  return request({
    url: '/bst/prodProcess/' + id,
    method: 'delete'
  })
}
